What are the system requirements for Klok?

Submitted 2/24/2012 by Klok Service

As Klok runs in Adobe Air please look at the current Adobe Air requirements below.

http://www.adobe.com/products/air/tech-specs.html